<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>eRPC Generator (erpcgen): erpcgen::erpc_error Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="customdoxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eRPC Generator (erpcgen)
   &#160;<span id="projectnumber">Rev. 1.4.0</span>
   </div>
   <div id="projectbrief">NXP Semiconductors</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classerpcgen_1_1erpc__error.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classerpcgen_1_1erpc__error-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">erpcgen::erpc_error Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for erpcgen::erpc_error:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classerpcgen_1_1erpc__error.png" usemap="#erpcgen::erpc_5Ferror_map" alt=""/>
  <map id="erpcgen::erpc_5Ferror_map" name="erpcgen::erpc_error_map">
<area href="classerpcgen_1_1internal__error.html" title="Exception class for internal errors. " alt="erpcgen::internal_error" shape="rect" coords="0,168,150,192"/>
<area href="classerpcgen_1_1lexical__error.html" title="Exception class for lexical errors. " alt="erpcgen::lexical_error" shape="rect" coords="160,168,310,192"/>
<area href="classerpcgen_1_1semantic__error.html" title="Exception class for semantic errors. " alt="erpcgen::semantic_error" shape="rect" coords="320,168,470,192"/>
<area href="classerpcgen_1_1syntax__error.html" title="Exception class for syntax errors. " alt="erpcgen::syntax_error" shape="rect" coords="480,168,630,192"/>
<area href="classerpcgen_1_1syntax__error2.html" alt="erpcgen::syntax_error2" shape="rect" coords="640,168,790,192"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a7f217b79682d25c6e99a3c987a29ad42"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7f217b79682d25c6e99a3c987a29ad42"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>erpc_error</b> (const std::string &amp;__arg)</td></tr>
<tr class="separator:a7f217b79682d25c6e99a3c987a29ad42"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:a3e6ff22db4b0c94d01ef96c880d7d4c7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3e6ff22db4b0c94d01ef96c880d7d4c7"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>erpc_error</b> (const std::string &amp;__arg, std::string errorName)</td></tr>
<tr class="separator:a3e6ff22db4b0c94d01ef96c880d7d4c7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:ac91c128b0b77b827c1ae5c76326b3df8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac91c128b0b77b827c1ae5c76326b3df8"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>m_message</b></td></tr>
<tr class="separator:ac91c128b0b77b827c1ae5c76326b3df8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2dd810ff78d4ee9e5f4a15bfbbea7b22"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2dd810ff78d4ee9e5f4a15bfbbea7b22"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>m_errName</b></td></tr>
<tr class="separator:a2dd810ff78d4ee9e5f4a15bfbbea7b22"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="_parse_errors_8h_source.html">ParseErrors.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- HTML footer for doxygen 1.8.5-->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul class="foot">
    <li class="footer">&copy; 2016 NXP Semiconductors. All rights reserved.
    </li>
  </ul>
</div>
</body>
</html>
